Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.core.swt.renderer
Class EnumComboViewerRenderer_PTest

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.core.swt.renderer.AbstractControl_PTest
          org.eclipse.emf.ecp.view.internal.core.swt.renderer.EnumComboViewerRenderer_PTest

    public class EnumComboViewerRenderer_PTest

extends AbstractControl_PTest

Plugin test for `EnumComboViewerSWTRenderer`.

Author:
  Lucas Koehler

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecp.view.internal.core.swt.renderer.AbstractControl_PTest
`AbstractControl_PTest.TestObservableValue`

Constructor Summary
`EnumComboViewerRenderer_PTest()`

Method Summary
`void` | `before()`
`void` | `testDatabindingServiceUsageChangeControl()`
`void` | `testDatabindingServiceUsageChangeObservable()`
`void` | `testDatabindingServiceUsageInitialBinding()`
`void` | `testLabelServiceUsage()` Tests whether the `EMFFormsLabelProvider` is used to get the labels of the control.
`void` | `testTearDown()`

Methods inherited from class org.eclipse.emf.ecp.view.internal.core.swt.renderer.AbstractControl_PTest
`renderValidationIconLabelAlignmentLeft, renderValidationIconLabelAlignmentNone, testGridDescriptionLabelAlignmentLeft, testGridDescriptionLabelAlignmentNone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumComboViewerRenderer_PTest

    public EnumComboViewerRenderer_PTest()

Method Detail

### before

    public void before()
                throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testTearDown

    public void testTearDown()

### testDatabindingServiceUsageInitialBinding

    public void testDatabindingServiceUsageInitialBinding()
                                                   throws NoRendererFoundException,
                                                          NoPropertyDescriptorFoundExeption,
                                                          DatabindingFailedException

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`
    `DatabindingFailedException`

### testDatabindingServiceUsageChangeObservable

    public void testDatabindingServiceUsageChangeObservable()
                                                     throws NoRendererFoundException,
                                                            NoPropertyDescriptorFoundExeption,
                                                            DatabindingFailedException

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`
    `DatabindingFailedException`

### testDatabindingServiceUsageChangeControl

    public void testDatabindingServiceUsageChangeControl()
                                                  throws NoRendererFoundException,
                                                         NoPropertyDescriptorFoundExeption,
                                                         DatabindingFailedException

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`
    `DatabindingFailedException`

### testLabelServiceUsage

    public void testLabelServiceUsage()
                               throws NoRendererFoundException,
                                      NoPropertyDescriptorFoundExeption,
                                      DatabindingFailedException,
                                      NoLabelFoundException

  Tests whether the `EMFFormsLabelProvider` is used to get the labels of the control.

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`
    `DatabindingFailedException`
    `NoLabelFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.